#pragma once
#include "colorstatic.h"
#include "afxwin.h"
#include "readonlyedit.h"


// CDlg_Renewables dialog

class CDlg_Renewables : public CDialog
{
	DECLARE_DYNAMIC(CDlg_Renewables)

public:
	CDlg_Renewables(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_Renewables();

// Dialog Data
	enum { IDD = IDD_RENEWABLES };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();

	afx_msg void AddStringsToComboBoxesForRenewablesDlg();
	afx_msg void DisplayValuesForRenewablesDlg();
	afx_msg void ReadInputsFromRenewablesDlg();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelSWH;
	CColorStatic m_labelGeneration;
	CColorStatic m_labelPV;
	CColorStatic m_labelWT;
	CColorStatic m_labeZL;
	CColorStatic m_labelCSH1;
	CColorStatic m_labelCSH2;
	CColorStatic m_labelCSH3;
	CColorStatic m_labelExposure;

	CComboBox m_comboSHWpresent;
	CComboBox m_comboSHWCollectorType;
	CComboBox m_comboSHWCollectorOrientation;
	CComboBox m_comboSHWCollectorTilt;
	CComboBox m_comboSHWOvershading;
	CComboBox m_comboSHWGrossArea;
	CComboBox m_comboSHWSolarStore;
	CComboBox m_comboSHWSolarCircPump;
	CComboBox m_comboAdditionalElect;
	CComboBox m_comboPVPresent;
	CComboBox m_comboPVCollectorOrientation;
	CComboBox m_comboPVCollectorTilt;
	CComboBox m_comboPVOvershading;
	CComboBox m_comboWTPresent;

	CReadOnlyEdit m_editSHWApertureArea;
	CReadOnlyEdit m_editSHWZLCollectorEff;
	CReadOnlyEdit m_editSHWHLCoeff;
	CReadOnlyEdit m_editSHWSolarVolume;
	CReadOnlyEdit m_editElecGenerated;
	CReadOnlyEdit m_editTFARenewables;
	CReadOnlyEdit m_editPVPeakPower;
	CReadOnlyEdit m_editWTNumOf;
	CReadOnlyEdit m_editWTDiameter;
	CReadOnlyEdit m_editWTHeight;

	CString str_comboSHWpresent;
	CString str_comboSHWCollectorType;
	CString str_comboSHWCollectorOrientation;
	CString str_comboSHWCollectorTilt;
	CString str_comboSHWOvershading;
	CString str_comboSHWGrossArea;
	CString str_editSHWApertureArea;
	CString str_editSHWZLCollectorEff;
	CString str_editSHWHLCoeff;
	CString str_comboSHWSolarStore;
	CString str_editSHWSolarVolume;
	CString str_comboSHWSolarCircPump;
	CString str_comboAdditionalElect;
	CString str_editElecGenerated;
	CString str_editTFARenewables;
	CString str_comboPVPresent;
	CString str_editPVPeakPower;
	CString str_comboPVCollectorOrientation;
	CString str_comboPVCollectorTilt;
	CString str_comboPVOvershading;
	CString str_comboWTPresent;
	CString str_editWTNumOf;
	CString str_editWTDiameter;
	CString str_editWTHeight;

	CButton m_btnExposureExposed;
	CButton m_btnExposureAboveAvg;
	CButton m_btnExposureAvg;
	CButton m_btnExposureBelowAvg;
	CButton m_btnExposureSheltered;

	afx_msg void OnCbnSelchangeComboIsswh();
	afx_msg void OnCbnSelchangeComboShwcollectortype();
	afx_msg void OnCbnSelchangeComboSwhcollectororient();
	afx_msg void OnCbnSelchangeComboShwcollectortilt();
	afx_msg void OnCbnSelchangeComboShwovershading();
	afx_msg void OnCbnSelchangeComboShwgrossarea();
	afx_msg void OnEnChangeEditShwaperaturearea();
	afx_msg void OnEnChangeEditShwzlcollectoreff();
	afx_msg void OnEnChangeEditShwHlcoeff();
	afx_msg void OnCbnSelchangeComboShwissolarstorecombined();
	afx_msg void OnEnChangeEditShwvolume();
	afx_msg void OnCbnSelchangeComboShwpump();
	afx_msg void OnCbnSelchangeComboShwadditionalgen();
	afx_msg void OnEnChangeEditelecgenerated();
	afx_msg void OnEnChangeEditTfa();
	afx_msg void OnCbnSelchangeComboPvpresent();
	afx_msg void OnEnChangeEdiiPvpeakpower();
	afx_msg void OnCbnSelchangeComboPvcollectororient();
	afx_msg void OnCbnSelchangeCombo();
	afx_msg void OnCbnSelchangeComboPvovershading();
	afx_msg void OnCbnSelchangeComboWtpresent();
	afx_msg void OnEnChangeEditwtnums();
	afx_msg void OnEnChangeEditWtdiameter();
	afx_msg void OnEnChangeEditWtheight();	
	
	afx_msg void OnBnClickedRadio20();
	afx_msg void OnBnClickedRadio21();
	afx_msg void OnBnClickedRadio22();
	afx_msg void OnBnClickedRadio23();
	afx_msg void OnBnClickedRadio24();

	virtual BOOL PreTranslateMessage(MSG* pMsg);
};


